Get lists associated with a marketing event
curl --request GET \
--url https://api.hubapi.com/marketing/marketing-events/2026-03/associations/{externalAccountId}/{externalEventId}/lists \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/marketing/marketing-events/2026-03/associations/{externalAccountId}/{externalEventId}/lists"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/marketing/marketing-events/2026-03/associations/{externalAccountId}/{externalEventId}/lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"listId": "<string>",
"listVersion": 123,
"name": "<string>",
"objectTypeId": "<string>",
"processingStatus": "<string>",
"processingType": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"deletedAt": "2023-11-07T05:31:56Z",
"filtersUpdatedAt": "2023-11-07T05:31:56Z",
"size": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"updatedById": "<string>"
}
],
"total": 123,
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}List Associations
Get associated lists by external ID
Gets lists associated with a marketing event by external account id and external event id
GET
/
marketing
/
marketing-events
/
2026-03
/
associations
/
{externalAccountId}
/
{externalEventId}
/
lists
Get lists associated with a marketing event
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The accountId that is associated with this marketing event in the external event application.
The id of the marketing event in the external event application.
Last modified on March 31, 2026
Was this page helpful?
⌘I